require 'rails/railtie'
require 'action_view/railtie'

module Wild
  module Views
    # Configuring Wild::Views with rails
    class Railtie < ::Rails::Railtie
      railtie_name :wild_views

      initializer 'wild_views.setup_config' do
        begin
          Wild::Views.config = Rails.application.config_for(:wild_views)
        rescue RuntimeError
        end
      end

      initializer 'wild_views.add_view_paths', after: :add_view_paths do |app|
        Wild::Views.root = app.root.join('tmp', 'remote-views')

        ActiveSupport.on_load(:action_controller) do
          append_view_path Wild::Views.root
        end
      end
    end
  end
end
